FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000669FL51.1 FLCLpublic2015-03-30 15:422015-04-15 15:06
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1 
Target Version5.2Fixed in Version5.1.05 
Summary0000669: Add new utility command to remove or find files
DescriptionThis new utility is mainly useful for ZOS users of FLAM. On ZOS it is some times difficult to find the library (PO-Dataset) which contains a certain member (find **(FLVIEW)) or to delete a huge amount of datasets (remove ~.TEST.**).

Based on the directory support of version 5.1.5 of FLAM it would be usefule to support a new utility command (flcl UTIL) to execute a system call (DISPLAY, REMOVE, RENAME) on a file list defined over wild cards.

Example:

//FLDEL EXEC PGM=FLCK.PARM='UTIL=DD:UTLPAR'
//UTLPAR DD *
remove='~.test.**'
find='**(CSFMOD01)'
//*
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000797)
Falk Reichbott (administrator)
2015-04-01 11:13

A new UTIL command was added in version 5.1.5 of FLAM. It provides currently 2 function on a wildcard based file list.

LIST: flcl util run.list='**(CSFMOD01)'
REMOVE: flcl util run.remove=~.TEST.**

The list function displays the matching files and the remove function delets the files.

- Issue History
Date Modified Username Field Change
2015-03-30 15:42 Falk Reichbott New Issue
2015-03-30 15:42 Falk Reichbott Status new => assigned
2015-03-30 15:42 Falk Reichbott Assigned To => Falk Reichbott
2015-04-01 11:13 Falk Reichbott Note Added: 0000797
2015-04-01 11:13 Falk Reichbott Status assigned => resolved
2015-04-01 11:13 Falk Reichbott Fixed in Version => 5.1
2015-04-01 11:13 Falk Reichbott Resolution open => fixed
2015-04-15 15:06 Falk Reichbott Fixed in Version 5.1 => 5.1.05


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker